Bug 1509683 - imgbased breaks dnf
Summary: imgbased breaks dnf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: imgbased
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Ryan Barry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-05 17:19 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2017-12-30 22:18 UTC (History)
4 users (show)

Fixed In Version: imgbased-1.0.999-0.1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-30 22:18:32 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2017-11-05 17:19:25 UTC
Description of problem:
[root@f27c ~]# dnf install systemd-journal-remote     
Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 95, in _main
    cli.configure(list(map(ucd, args)), option_parser())
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 838, in configure
    self.base.init_plugins(opts.disableplugin, opts.enableplugin, self)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 240, in init_plugins
    self._plugins._run_init(self, cli)
  File "/usr/lib/python3.6/site-packages/dnf/plugin.py", line 133, in _run_init
    plugin = p_cls(base, cli)
  File "/usr/lib/python3.6/site-packages/dnf-plugins/imgbased-persist.py", line 42, in __init__
    cp = self.read_config(self.base.conf, self.PLUGIN_CONF)
TypeError: read_config() takes 2 positional arguments but 3 were given
[root@f27c ~]# rpm -qf /usr/lib/python3.6/site-packages/dnf-plugins/imgbased-persist.py
imgbased-0.9.999-0.1.fc27.1.noarch

Comment 1 Ryan Barry 2017-11-23 15:01:12 UTC
This appears to be a change in the DNF API since the plugin was written.

I wasn't aware we were publishing imgbased on Fedora at all, but I'll push a patch

Comment 2 Fedora Update System 2017-12-19 20:59:46 UTC
imgbased-1.0.999-0.1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5603dcb9b0

Comment 3 Fedora Update System 2017-12-21 20:24:39 UTC
imgbased-1.0.999-0.1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5603dcb9b0

Comment 4 Fedora Update System 2017-12-30 22:18:32 UTC
imgbased-1.0.999-0.1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.